version: '2'

services:
  app:
    image: 'emarket:latest'
    ports:
      - "8080:8080"
    build:
      context: src/test/java/com/example/emarket
    container_name: application
    depends_on:
      - db
    environment:
      - SPRING_DATASOURCE_URL=jdbc:postgresql://bdd:5432/compose-postgres
      - SPRING_DATASOURCE_USERNAME=compose-postgres
      - SPRING_DATASOURCE_PASSWORD=compose-postgres
      - SPRING_JPA_HIBERNATE_DDL_AUTO=validate

  bdd:
    image: 'postgres:13.1-alpine'
    container_name: bdd
    ports:
      - "5432:5432"
    environment:
      - POSTGRES_USER=compose-postgres
      - POSTGRES_PASSWORD=compose-postgres